TEXDOCTK(1)

NAME
texdoctk - GUI for easier access of TeX package and program documentations

SYNOPSIS
texdoctk -[-aq]

DESCRIPTION
texdoctk is a GUI for easier access of a large part of the vast amount of package and program documentations and tutorials for TeX and its different derivates (mainly LaTeX).

The documentation is grouped into 17 categories; the 18th button of the main panel is inactive by default. If you have special documents which do not fit into any of the categories, you can append an 18th block to texdoc-local.dat with the respective entries.

In the settings window you see a checkbox in the html->ps and text->ps converter menus for switching on/off output redirect. This is due to the fact that some converters do not write their output into a file but to stdout by default, so a redirect is needed, e.g.

a2ps myfile.txt >myfile.ps

  OPTIONS

-q  quiet: enable suppression of some viewer messages which are otherwise sent to stderr. This can also be set in a configuration file.

-a  autoview: autostart viewer if a listbox contains only one item (this will frequently happen in search results). This can also be set in a configuration file.

FILES

 ($TEXMFMAIN)/texdoctk/texdocrc.defaults
system-wide configuration file

 ~/.texdocrc
personal configuration file; can also be created with the Settings menu

 ($TEXMFMAIN)/texdoctk/texdoc-local.dat
(optional) local database file for documentation files; is used instead of
the default database file if present

BUGS
Widget placement in topic toplevels becomes ugly when the toplevel is stretched or shrunk.

The font in the frame labels of the Settings menu are not forced to the default font; this will become visible e.g. at hi-res screens, where the label font is not scaled up.

Netscape and Mozilla error output will be written to stderr even if the quiet mode was set.

  VERSION
The current version of texdoctk is 0.5.2 beta 2 (19 February, 2002)

AUTHOR
texdoctk was written by Thomas Ruedas <ruedas@geophysik.uni-frankfurt.de>.

This manual page was written by Adrian Bunk <bunk@fs.tum.de> and Thomas Ruedas <ruedas@geophysik.uni-frankfurt.de> for the Debian GNU/Linux system (but may be used by others).